# List bank accounts

`GET /v1/bank-accounts`

The company's connected bank accounts and, when it has typed in payment details for a bank that is not connected, one manual account. Use it to choose where an invoice is paid (`bank_account_id` on POST /v1/invoices) and to filter bank lines. Not paginated.

**Scopes:** any of `bank:read`, `read:ledger`

## Request

```bash
curl https://api.numina.app/v1/bank-accounts \
  -H "Authorization: Bearer numi_YOUR_API_KEY"
```

## Response `200`

Bank accounts

```json
{
  "bank_accounts": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "type": "connected",
      "bank_name": "Danske Bank",
      "account_name": "Erhvervskonto",
      "ledger_account_number": 5820,
      "connection_status": "configured",
      "is_archived": false,
      "payment_details": {
        "bank_name": "Danske Bank",
        "scheme": "dk-registration-number",
        "clearing_code": "3409",
        "account_number": "0012345678",
        "iban": "DK5030000012345678",
        "swift_bic": "DABADKKK"
      },
      "usable_on_invoices": false,
      "is_invoice_default": false
    }
  ]
}
```

## Errors

- `401` Unauthorized - Invalid or missing authentication
- `403` Forbidden - Missing scope, or the company is archived
- `429` Too Many Requests - Rate limit exceeded
- `500` Internal Server Error

See https://developers.numina.app/errors.md for the error format.
